<template>
  <v-navigation-drawer :width="drawer ? 400 : 55" class="toggle-drawer" color="white">

    <a @click="toggleDrawer" v-if="!drawer" class="toggle-drawer-a">
      <span class="hidden-xs-only toggle-drawer-text">
        <v-icon class="toggle-drawer-i" style="margin-bottom: 5px;">mdi-chevron-{{ drawer ? "left" : "right" }}</v-icon>
      </span>
      <span class="toggle-drawer-text" style="color: black; margin: auto; font-size: 10px;!important">{{ drawer ? "Gizle"
        : "Göster" }}</span>
    </a>

    <v-card v-if="drawer" style="border-radius: 0px 11px 0px 0px;">
      <v-tabs v-if="drawer" v-model="tab" fixed-tabs
        style="color: #00468a !important; margin-left: 10px; border-radius: 0px 11px 0px 0px;" color="blue darken-2"
        bg-color="white" size="10" align-with-title prev-icon="null" next-icon="null">
        <v-tab :value="1">
          <div class="tab-text" :style="tab === 2 ? 'font-weight: 400; ' : 'font-weight: 700;'" @focus="onTabFocus(1)">
            <v-icon class="mitc-squares-four"></v-icon>&nbsp;&nbsp; Tüm İşlemler</div>
        </v-tab>
        <v-tab :value="2">
          <div class="tab-text" :style="tab === 1 ? 'font-weight: 400;' : 'font-weight: 700;'" @focus="onTabFocus(2)">
            <v-icon class="mitc-vector"></v-icon>&nbsp;&nbsp;Favori İşlemler</div>
        </v-tab>
        <v-tab @click="toggleDrawer" style="color: transparent !important;" :value="1">
          <v-icon class="toggle-drawer-i" style="color: black; margin: auto;">mdi-chevron-{{ drawer ? "left" : "right"
          }}</v-icon>&nbsp;
          <span style="color: black; margin: auto;font-size: 10px;"> Gizle</span>
        </v-tab>
      </v-tabs>
    </v-card>

    <v-window v-model="tab" v-if="drawer">
      <v-window-item v-for="n in 3" :key="n" :value="n">
        <NavigationDrawerFilter v-if="n === 0" />
        <NavigationDrawerMenu v-if="n === 1" />
      </v-window-item>
    </v-window>

  </v-navigation-drawer>
</template>

<script>
import NavigationDrawerMenu from './NavigationDrawerMenu.vue'
import NavigationDrawerFilter from './NavigationDrawerFilter.vue'
export default {
  name: 'NavigationDrawer',

  components: {
    NavigationDrawerMenu,
    NavigationDrawerFilter
  },

  data: () => ({
    drawer: false, tab: 0
  }),
  methods: {
    toggleDrawer() {
      this.drawer = !this.drawer;
    },
    onTabFocus(tabIndex) {
      this.tab = tabIndex;
    },
    onTabBlur(tabIndex) {
      if (this.tab === tabIndex) {
        this.tab = null;
      }
    }
  }
}
</script>
<style scoped>
@import "@/assets/styles/navigation.css";

.toggle-drawer .v-tab.v-tab {
  --v-btn-height: var(--v-tabs-height);
  min-width: 90px;
  position: relative !important;
  width: 70px;
  font-weight: 700;
  font-size: 12px;
  line-height: 105.9%;
  text-align: center;
  letter-spacing: -0.025em;
  color: #00468a !important;
  text-transform: capitalize;
}

.tab-text {
  font-size: 12px;
  color: black;
}


@media (max-width: 1024px) {
  .v-icon i {
    --v-icon-size-multiplier: 1;
    align-items: center;
    display: table;
    font-feature-settings: "liga";
    height: 15px !important;
    justify-content: center;
    letter-spacing: normal;
    line-height: 1;
    position: relative;
    text-indent: 0;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    vertical-align: middle;
    width: 1em;
  }
}
</style> 